@import 'libs/shared/assets/src/global-style/color';

.btn-icon--small {
  min-width: 36px;
  min-height: 36px;
  width: 36px;
  height: 36px;
  border-radius: 4px;
}
.form-group__icon {
  width: 100%;
  margin-top: 0.3rem;
}

.block-center {
  display: flex;
  margin-top: 0.3rem;
  align-items: center;
  .form-group {
    cursor: pointer;
    margin: 0;
    position: relative;
    width: 90%;
    .ant-input {
      cursor: pointer;
    }
    a {
      text-align: center;
      width: 20px;
      font-size: 20px;
      right: 6px;
      position: absolute;
      top: 42%;
      transform: translateY(-50%);
      img {
        filter: opacity(0.5);
      }
    }
    .btn {
      width: 10%
    }
  }
}

.ant-btn:focus {
  outline: none;
  box-shadow: none;
}
.input {
  width: 99.5%;
  border-radius: 8px;
  min-height: 44px;
  border: 1px solid $border-color;
  padding: 4px 11px;
  &:hover, &:focus {
    border: 1px solid $primary-button-color;
    box-shadow: none;
  }
}

.fm-center {
  align-self: center;
  ::ng-deep {
    button {
      width: 42px;
    }
  }
}
